LibraryElements (Gradle API 8.11)

Package org.gradle.api.attributes

## Interface LibraryElements

- All Superinterfaces:
    `Named`

      public interface LibraryElements
      extends Named

  Attribute representing the technical elements of a library variant.
  Since:
    5.6

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CLASSES` | The JVM classes format
    `static java.lang.String` | `CLASSES_AND_RESOURCES` | The JVM class files and resources
    `static java.lang.String` | `DYNAMIC_LIB` | Dynamic libraries for native modules
    `static java.lang.String` | `HEADERS_CPLUSPLUS` | Header files for C++
    `static java.lang.String` | `JAR` | The JVM archive format
    `static Attribute<LibraryElements>` | `LIBRARY_ELEMENTS_ATTRIBUTE` |
    `static java.lang.String` | `LINK_ARCHIVE` | Link archives for native modules
    `static java.lang.String` | `OBJECTS` | Objects for native modules
    `static java.lang.String` | `RESOURCES` | JVM resources

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Field Detail

    - #### LIBRARY_ELEMENTS_ATTRIBUTE

          static final Attribute<LibraryElements> LIBRARY_ELEMENTS_ATTRIBUTE

    - #### CLASSES

          static final java.lang.String CLASSES

      The JVM classes format
      See Also:
        Constant Field Values

    - #### JAR

          static final java.lang.String JAR

      The JVM archive format
      See Also:
        Constant Field Values

    - #### RESOURCES

          static final java.lang.String RESOURCES

      JVM resources
      See Also:
        Constant Field Values

    - #### CLASSES_AND_RESOURCES

          static final java.lang.String CLASSES_AND_RESOURCES

      The JVM class files and resources
      See Also:
        Constant Field Values

    - #### HEADERS_CPLUSPLUS

          static final java.lang.String HEADERS_CPLUSPLUS

      Header files for C++
      See Also:
        Constant Field Values

    - #### LINK_ARCHIVE

          static final java.lang.String LINK_ARCHIVE

      Link archives for native modules
      See Also:
        Constant Field Values

    - #### OBJECTS

          static final java.lang.String OBJECTS

      Objects for native modules
      See Also:
        Constant Field Values

    - #### DYNAMIC_LIB

          static final java.lang.String DYNAMIC_LIB

      Dynamic libraries for native modules
      See Also:
        Constant Field Values